## DhAssistantView DhAssistantView — A small “assistant” widget for displaying just one hit |

## Functions

GtkWidget * | dh_assistant_view_new ()
gboolean | dh_assistant_view_set_link ()
gboolean | dh_assistant_view_search ()

## Signals

void | open-uri |

## Types and Values

struct | DhAssistantView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── WebKitWebViewBase
                        ╰── WebKitWebView
                            ╰── DhAssistantView

## Implemented Interfaces

DhAssistantView implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <devhelp/devhelp.h>

## Description

DhAssistantView is a subclass of WebKitWebView for displaying the documentation of just one symbol.

A possible use-case: in a text editor, pressing a keyboard shortcut could display this widget for the symbol under the cursor.

With the Devhelp application, an assistant can easily be launched with the command line option `--search-assistant`.

## Functions

### dh_assistant_view_new ()

    GtkWidget *
    dh_assistant_view_new (void);

#### Returns

a new DhAssistantView widget.

[transfer floating]

### dh_assistant_view_set_link ()

    gboolean
    dh_assistant_view_set_link (DhAssistantView *view,
                                DhLink *link);

Open `link` in the assistant view, if `NULL` the view will be blanked.

#### Parameters

view | a DhAssistantView. |
link | a DhLink to set or `NULL`. | [nullable]

#### Returns

`TRUE` if the requested link is open, `FALSE` otherwise.

### dh_assistant_view_search ()

    gboolean
    dh_assistant_view_search (DhAssistantView *view,
                              const gchar *str);

Search for `str` in the current assistant view.

#### Parameters

view | a DhAssistantView. |
str | the search query. |

#### Returns

`TRUE` if `str` was found, `FALSE` otherwise.

## Types and Values

### struct DhAssistantView

    struct DhAssistantView;

## Signal Details

### The `“open-uri”` signal

    void
    user_function (DhAssistantView *view,
                   gchar           *uri,
                   gpointer         user_data)

#### Parameters

view | the view on which the signal is emitted |
uri | the uri to open |
user_data | user data set when the signal handler was connected. |